The officially official Devuan Forum!

You are not logged in.

#1 2020-03-17 18:38:40

haroldG75
Member
Registered: 2020-03-16
Posts: 2  

Problems upgrading elogind libelogind0 libpam-elogind

As the title say, i'm having problems with this update, im installing devuan from the usb version of ascii, it is only the graphical installer, then i perform the upgrade to beowulf by changing the sources.list, everything goes fine except that i have to manually install the firmware-amd-graphics, but that's it.

i'm a regular everyday user, not a power one, i only use this machine to play in steam, watch videos and movies and some graphics edition, so i've done the usual sudo apt update/upgrade and the only packages showed to need are those mentioned in the title, but after the upgrade when i boot my machine i have no GUI i boot directly into the tty i can startx but have no full performance, tried reinstall elogind and company the xorg server the amd firmware but nothing works i have to avoid completely the upgrade of those programs in order to use my pc which have the amd ryzen 3 2200g apu.

I can't stay with ascii 'cause of my apu need the more recent possible software drivers, and beowulf works pretty nice except for this weird problem.

I also tried to install minimal to avoid all bloatware in cinnamon but i get stuck at making alsa work hmm

Thank you for reading and for your comment.

Last edited by haroldG75 (2020-03-17 18:39:23)

Offline

#2 2020-03-17 21:03:13

Marjorie
Member
From: Teignmouth, UK
Registered: 2019-06-09
Posts: 18  

Re: Problems upgrading elogind libelogind0 libpam-elogind

Not sure whether this is related.

I'm running ASCII and contemplating upgrading to Beowulf.

To that end I've been trying to upgrade the kernel first, as reverting that, in the event of any issues, should be much more straightforward.

Using Synaptic I upgraded from 4.9.06 to 4.9.12 without issue several days ago. My processor is quite old - AMD Phenom II X4 910e, so unlikely to be be having side-channel mitigation issues. No freezing (as per this other recent thread https://dev1galaxy.org/viewtopic.php?id=3376 ).

I next tried to upgrade to the backported Beowulf kernel 4.19. I note that this pulled in a couple of Apparmor packages. This seems to be booting OK until it attempted to load Cinnamon at which point I find this in /log/syslog :

Mar 17 16:35:54 erewhon cinnamon-session[2745]: WARNING: t+0.00800s: Could not get session id for session. Check that logind is properly installed and pam_systemd is getting used at login.

and Cinnamon fails to load and I get fallback and a low-res screen with no menus. Firefox and Rythmbox load at startup into this OK. Evolution segments.

Opening a terminal session and rebooting I can restart with the 4.9.12 kernel from the Advanced menu in Grub and Cinnamon opens fine.

Last edited by Marjorie (2020-03-17 21:07:27)

Offline

#3 2020-03-18 18:15:47

rolfie
Member
Registered: 2017-11-25
Posts: 257  

Re: Problems upgrading elogind libelogind0 libpam-elogind

haroldG75 wrote:

As the title say, i'm having problems with this update, im installing devuan from the usb version of ascii, it is only the graphical installer, then i perform the upgrade to beowulf by changing the sources.list, everything goes fine except that i have to manually install the firmware-amd-graphics, but that's it.

That is normal, that firmware is non-free.

haroldG75 wrote:

i'm a regular everyday user, not a power one, i only use this machine to play in steam, watch videos and movies and some graphics edition, so i've done the usual sudo apt update/upgrade and the only packages showed to need are those mentioned in the title, but after the upgrade when i boot my machine i have no GUI i boot directly into the tty i can startx but have no full performance, tried reinstall elogind and company the xorg server the amd firmware but nothing works i have to avoid completely the upgrade of those programs in order to use my pc which have the amd ryzen 3 2200g apu.

I can't stay with ascii 'cause of my apu need the more recent possible software drivers, and beowulf works pretty nice except for this weird problem.

Please can you tell as a bit more about your boundary conditions like UEFI yes/no, mbr/gpt, DE etc. including the exact error message? Maybe you need some additional settings.... I myself got an ASCII running fine on a Ryzen 7 2700X, while my fileserver is on Beowulf already. Had no issue with elogind. Maybe its worth when you search the forum for threads about elogind, there is something available to read. 

haroldG75 wrote:

I also tried to install minimal to avoid all bloatware in cinnamon but i get stuck at making alsa work

Regarding alsa, refer to https://dev1galaxy.org/viewtopic.php?pid=20555#p20555

Good luck, rolfie

Last edited by rolfie (2020-03-18 19:05:01)

Offline

Board footer